For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Resource Skills
      • POSTCreate Resource Skill
      • PUTUpdate Resource Skill
      • DELDelete Resource Skill
LogoLogo
SupportContact salesStart free trial
API ReferenceResource Skill

Update Resource Skill

PUT
https://api.projectmanager.com/api/data/resources/skills/:resourceSkillId
PUT
/api/data/resources/skills/:resourceSkillId
$curl -X PUT https://api.projectmanager.com/api/data/resources/skills/resourceSkillId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "inUse": true
17 }
18}
Update a Resource Skill.
Was this page helpful?
Previous

Delete Resource Skill

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourceSkillIdstringRequiredformat: "uuid"
The id of the skill to update.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The data of the skill to update.
namestring or nullOptional
The name of this Skill, if specified it will be updated

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A ResourceSkill is a capability possessed by this Resource that can be used to determine appropriate assignments. Some Resources may have ResourceSkills that are in high demand and some Tasks may have a requirement for Resources with particular ResourceSkills.